﻿import { Readable } from 'node:stream';
import type { Cheerio, CheerioAPI, CheerioOptions } from 'cheerio';
import type { AnyNode } from 'domhandler';
export interface TransformationRule {
    selector: string[];
    rule: (node: Cheerio<AnyNode>, $: CheerioAPI) => Promise<void>;
}
export declare class Transformer {
    private rules;
    constructor(rules: TransformationRule[]);
    transform($: CheerioAPI, cheerioOptions?: CheerioOptions, isDocument?: boolean): Promise<string>;
    transform(html: string, cheerioOptions?: CheerioOptions, isDocument?: boolean): Promise<string>;
    transform(html: Buffer, cheerioOptions?: CheerioOptions, isDocument?: boolean): Promise<string>;
    transform(html: Readable, cheerioOptions?: CheerioOptions, isDocument?: boolean): Promise<string>;
    private process;
}
//# sourceMappingURL=index.d.ts.map